Package org.springframework.transaction.event

# Class TransactionalEventListenerFactory

java.lang.Object
org.springframework.transaction.event.TransactionalEventListenerFactory

All Implemented Interfaces:
  `org.springframework.context.event.EventListenerFactory`, `org.springframework.core.Ordered`

Direct Known Subclasses:
  `RestrictedTransactionalEventListenerFactory`

public class TransactionalEventListenerFactory extends Object implements org.springframework.context.event.EventListenerFactory, org.springframework.core.Ordered
`EventListenerFactory` implementation that handles `TransactionalEventListener` annotated methods.

Since:
  4.2
Author:
  Stephane Nicoll
See Also:
  - `TransactionalApplicationListenerMethodAdapter`

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`TransactionalEventListenerFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.context.ApplicationListener<?>`
`createApplicationListener(String beanName, Class<?> type, Method method)`
`int`
`getOrder()`
`void`
`setOrder(int order)`
`boolean`
`supportsMethod(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransactionalEventListenerFactory

public TransactionalEventListenerFactory()

## Method Details

### setOrder

public void setOrder(int order)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### supportsMethod

public boolean supportsMethod(Method method)

Specified by:
  `supportsMethod` in interface `org.springframework.context.event.EventListenerFactory`

### createApplicationListener

public org.springframework.context.ApplicationListener<?> createApplicationListener(String beanName, Class<?> type, Method method)

Specified by:
  `createApplicationListener` in interface `org.springframework.context.event.EventListenerFactory`